Bug 448221 - procmail can't run spamc
procmail can't run spamc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 12:50 EDT by Kostas Georgiou
Modified: 2008-11-17 17:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2008-05-24 12:50:35 EDT
procmail calls to spamc fail with the following AVC:

type=SELINUX_ERR msg=audit(1211644389.204:16280): security_compute_sid:  invalid
context system_u:system_r:spamc_t:s0 for
scontext=system_u:system_r:procmail_t:s0
tcontext=system_u:object_r:spamc_exec_t:s0 tclass=process

domg472 at #fedora-selinux suggested the following policy which fixes the denials.

policy_module(myspamc,1.0.0)
require{ type spamc_t; }
role system_r types spamc_t;

Audit2allow was suggesting role system_r types spamc_exec_t; which didn't work.
Comment 1 Daniel Walsh 2008-05-27 10:27:45 EDT
Fixed in selinux-policy-3.3.1-55.fc9

I will put a fix in for audit2allow.
Comment 2 Daniel Walsh 2008-11-17 17:04:06 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.